/*

nla-ginac - Tarjan-blocking NLA solver with autodiff
Copyright (C) 2005  John Pye

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef IAPWS_SAT_H
#define IAPWS_SAT_H

#include <ginac/ginac.h>

DECLARE_FUNCTION_2P(water_h);
DECLARE_FUNCTION_2P(water_h_dT);
DECLARE_FUNCTION_2P(water_h_drho);

DECLARE_FUNCTION_2P(water_s);
DECLARE_FUNCTION_2P(water_s_dT);
DECLARE_FUNCTION_2P(water_s_drho);

DECLARE_FUNCTION_2P(water_p);
DECLARE_FUNCTION_2P(water_p_dT);
DECLARE_FUNCTION_2P(water_p_drho);

#endif
