#include "symbolicvariable.h"

#include <iostream>

using namespace GiNaC;
using namespace std;

/**
	@TODO there is a bit of redundancy here in that the name of the variable is stored both as
	a char * and also inside the symbol itself.
*/
SymbolicVariable::SymbolicVariable(const char *name)
		 : Variable(name), s(symbol(name))
{
	//cerr << "SymbolicVariable: created symbol '" << getSymbol() << "', at " << &s << endl;
	// nothing else to do
}

const symbol &
SymbolicVariable::getSymbol() const{
	return s;
}
