#ifndef VARIABLE_H
#define VARIABLE_H

class Variable{

public:
	Variable(const char *name);
	
	void setLowerBound(const double &);
	void setUpperBound(const double &);
	const double &getLowerBound() const;
	const double &getUpperBound() const;
	void setDefVal(const double &);
	const double &getDefVal() const;
	const char *getName() const;

	const bool isBounded() const;
	const bool isBoundedLower() const;
	const bool isBoundedUpper() const;

	const char *name;

	double lb;
	double ub;
	double defval;

	bool islb;
	bool isub;

	// units	
};

#endif
